<?php

namespace App\Controllers;

class AppBuilder extends BaseController
{
    public function index()
    {
        // Path to the modules directory
        $modulesPath = APPPATH . 'Views/modules/';

        // Get all module files
        $modules = [];
        if (is_dir($modulesPath)) {
            $files = scandir($modulesPath);
            foreach ($files as $file) {
                if (pathinfo($file, PATHINFO_EXTENSION) === 'php') {
                    // Extract module name from file
                    $moduleName = ucfirst(str_replace('_', ' ', pathinfo($file, PATHINFO_FILENAME)));
                    $modules[] = [
                        'name' => $moduleName,
                        'file' => $file
                    ];
                }
            }
        }

        // Pass modules list to the view
        return view('app_builder', ['modules' => $modules]);
    }
}
