<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Permissions-Policy" content="clipboard-write=()">
    <title>App Builder</title>
    <link rel="stylesheet" href="<?= base_url('css/modules.css'); ?>"> <!-- Global Styles -->
    <link rel="stylesheet" href="<?= base_url('css/app_builder.css'); ?>"> <!-- App Builder Specific Styles -->
    <link rel="icon" href="https://winslowapps.com/modular/ci4/public/favicon.ico" type="image/x-icon">
</head>
<body>
    <div class="app-builder-container">
        <!-- Left: Module Selection -->
        <div id="module-selection" class="panel">
            <h2>Modules</h2>
            <ul id="module-list">
                <?php if (!empty($modules)): ?>
                    <?php foreach ($modules as $module): ?>
                        <li class="module-item" data-file="<?= $module['file']; ?>">
                            <?= $module['name']; ?>
                        </li>
                    <?php endforeach; ?>
                <?php else: ?>
                    <li class="no-modules">No modules found.</li>
                <?php endif; ?>
            </ul>
        </div>

        <!-- Center: Preview Area -->
        <div id="preview-pane" class="panel">
            <h2>Preview</h2>
             <div id="preview-area">
                <!--<p>Drag and drop modules here</p>-->
            </div>
        </div>

        <!-- Right: Settings Panel -->
        <div id="settings-pane" class="panel">
            <h2>Settings</h2>
            <div id="settings-area">
                <p>Select a module to adjust settings</p>
            </div>
        </div>
    </div>

    <script src="<?= base_url('js/app_builder_v2.js'); ?>?v=<?= time(); ?>"></script>
</body>
</html>
