<!-- app/Views/auth/login.php -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@latest/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100 dark:bg-gray-900">
    <div class="container mx-auto mt-10">
        <h2 class="text-2xl text-center text-gray-800 dark:text-gray-200">Login</h2>
        <?php if(session('error')): ?>
            <div class="bg-red-200 text-red-800 p-2 my-4">
                <?= session('error') ?>
            </div>
        <?php endif; ?>
        
        <?php if (session()->getFlashdata('message')): ?>
    <div class="bg-green-200 text-green-800 p-2 my-4 rounded">
        <?= session()->getFlashdata('message') ?>
    </div>
<?php endif; ?>


<?php if (session()->getFlashdata('error')): ?>
    <div class="bg-red-200 text-red-800 p-2 my-4 rounded">
        <?= session()->getFlashdata('error') ?>
    </div>
<?php endif; ?>

        <form action="<?= site_url('auth/processLogin') ?>" method="post" class="max-w-md mx-auto bg-white dark:bg-gray-800 p-6 rounded shadow">
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Email</label>
                <input type="email" name="email" value="<?= old('email') ?>" class="w-full border rounded p-2">
            </div>
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Password</label>
                <input type="password" name="password" class="w-full border rounded p-2">
            </div>
            <div class="mb-4">
                <label>
                    <input type="checkbox" name="remember"> Remember Me
                </label>
            </div>
            <button type="submit" class="w-full bg-green-500 text-white p-2 rounded">Login</button>
            <p class="mt-4 text-center">
                <a href="<?= site_url('forgotPassword') ?>">Forgot Password?</a>

            </p>
        </form>
    </div>
</body>
</html>
